## univention-management-console 12.0.31-1

=== debian/changelog ===
univention-management-console (12.0.31-1) unstable; urgency=medium

  * Bug #43633: fix typo in session-to-client-IP binding

 -- Florian Best <best@univention.de>  Mon, 19 Jun 2023 12:47:56 +0200

univention-management-console (12.0.30-1) unstable; urgency=medium

  * Bug #43633: drop authenticated status when reauthenticating with wrong
    credentials

 -- Florian Best <best@univention.de>  Wed, 14 Jun 2023 23:04:42 +0200

univention-management-console (12.0.29-1) unstable; urgency=medium

  * Bug #43633: reimplement multiprocessing via apache load balancing
    with sticky sessions

 -- Florian Best <best@univention.de>  Wed, 14 Jun 2023 16:05:05 +0200

univention-management-console (12.0.28-1) unstable; urgency=medium

  * Bug #43633: make responding in non-main-thread thread safe

 -- Florian Best <best@univention.de>  Wed, 14 Jun 2023 10:04:00 +0200

univention-management-console (12.0.27-1) unstable; urgency=medium

  * Bug #43633: fix typo

 -- Florian Best <best@univention.de>  Tue, 13 Jun 2023 11:35:55 +0200

univention-management-console (12.0.26-1) unstable; urgency=medium

  * Bug #43633: set stdin,stdout,stderr file descriptors in module
    processes inheritable

 -- Florian Best <best@univention.de>  Tue, 13 Jun 2023 11:12:09 +0200

univention-management-console (12.0.25-1) unstable; urgency=medium

  * Bug #43633: show error message instead of traceback on failed
    authentication in umc-command

 -- Florian Best <best@univention.de>  Tue, 13 Jun 2023 09:43:55 +0200

univention-management-console (12.0.24-1) unstable; urgency=medium

  * Bug #43633: allow flavor to be given in file uploads

 -- Florian Best <best@univention.de>  Tue, 13 Jun 2023 08:37:16 +0200

univention-management-console (12.0.23-1) unstable; urgency=medium

  * Bug #43633: allow to run self.finished() inside of non main thread

 -- Florian Best <best@univention.de>  Tue, 13 Jun 2023 07:32:26 +0200

univention-management-console (12.0.22-1) unstable; urgency=medium

  * Bug #43633: further fixes

 -- Florian Best <best@univention.de>  Tue, 13 Jun 2023 00:08:42 +0200

univention-management-console (12.0.21-3) unstable; urgency=medium

  * Bug #43633: fix typo

 -- Florian Best <best@univention.de>  Mon, 12 Jun 2023 17:56:23 +0200

univention-management-console (12.0.21-2) unstable; urgency=medium

  * Bug #43633: stop UMC-Web-Server also on interim upgrades (not coming from
    UCS 5.0-3)

 -- Florian Best <best@univention.de>  Mon, 12 Jun 2023 17:13:16 +0200

univention-management-console (12.0.21-1) unstable; urgency=medium

  * Bug #43633: unify univention-management-console-server and
    univention-management-console-web-server in one service using HTTP instead
    of UMCP. Deprecate the use of python-notifier

 -- Florian Best <best@univention.de>  Mon, 12 Jun 2023 07:46:55 +0200

univention-management-console (12.0.20-1) unstable; urgency=medium

  * Bug #43633: add
    univention.mangement.console.modules.decorators.threaded

 -- Florian Best <best@univention.de>  Sun, 11 Jun 2023 09:45:17 +0200

univention-management-console (12.0.19-1) unstable; urgency=medium

  * Bug #55922: replace systemctl with deb-systemd-invoke for UMC
    restarts

 -- Florian Best <best@univention.de>  Sun, 11 Jun 2023 08:32:53 +0200

univention-management-console (12.0.18-1) unstable; urgency=medium

  * Bug #43633: change buildsystem to pybuild and replace distutils with
    setuptools

 -- Florian Best <best@univention.de>  Sun, 11 Jun 2023 07:58:59 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Common Python and Shell Library
#  rules file for the debian package
#
# Like what you see? Join us!
# https://www.univention.com/about-us/careers/vacancies/
#
# Copyright 2002-2023 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

#export DH_VERBOSE=1
export PYBUILD_NAME=univention-management-console
export PYBUILD_INSTALL_ARGS_python3=--install-scripts=/usr/sbin/
export PYBUILD_DISABLE_PYTHON2_SCRIPTS=1

override_dh_auto_build:
	./dev/dh-umc-module-build --core
	dh_auto_build

override_dh_auto_install:
	./dev/dh-umc-module-install --core
	dh_auto_install

override_dh_python3:
	dh_python3
	install -m0755 -d debian/univention-management-console-server/usr/sbin/
	$(RM) -r debian/python3-${PYBUILD_NAME}/usr/lib/python3/dist-packages/univention/__init__.py debian/python3-${PYBUILD_NAME}/usr/share/locale/ debian/python3-${PYBUILD_NAME}/usr/share/univention-management-console/
	mv debian/python3-${PYBUILD_NAME}/usr/sbin/ debian/${PYBUILD_NAME}-server/usr/

override_dh_python2:
	dh_python2
	$(RM) -r debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/__init__.py debian/python-${PYBUILD_NAME}/usr/share/univention-management-console/ debian/python-${PYBUILD_NAME}/usr/bin/

override_dh_install:
	dh_install -Xde.po

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade

%:
	dh $@ --with python2,python3,univention-l10n,ucr --buildsystem=pybuild

## univention-management-console 12.0.31-4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -t Internal
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  coverage   to make coverage statistics"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo
	@echo "Build finished. The coverage files are in $(BUILDDIR)/coverage."

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/UniventionManagementConsole.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/UniventionManagementConsole.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/UniventionManagementConsole"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/UniventionManagementConsole"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
univention-management-console (12.0.31-4) unstable; urgency=medium

  * Bug #56198: remove UMC-Server only modules from python 2 package

 -- Florian Best <best@univention.de>  Mon, 26 Jun 2023 19:21:29 +0200

univention-management-console (12.0.31-2) unstable; urgency=medium

  * Bug #56198: handle connection timeouts so that timed out requests
    can still stop module process / session timeout

 -- Florian Best <best@univention.de>  Mon, 26 Jun 2023 17:49:41 +0200

=== debian/control ===
Source: univention-management-console
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper-compat (=11),
 dh-python,
 python-all,
 python-polib,
 python-sdnotify,
 python-setuptools,
 python2.7,
 python3,
 python3-all,
 python3-polib,
 python3-sdnotify,
 python3-setuptools,
 univention-config-dev (>= 15.0.3),
 univention-l10n-dev (>= 7.0.1),
Standards-Version: 3.7.2

Package: univention-management-console
Architecture: all
Depends:
 python-univention-management-console (= ${source:Version}),
 python3-univention-management-console (= ${source:Version}),
 univention-management-console-module-appcenter,
 univention-management-console-module-apps,
 univention-management-console-module-diagnostic,
 univention-management-console-module-join,
 univention-management-console-module-lib,
 univention-management-console-module-passwordchange,
 univention-management-console-module-reboot,
 univention-management-console-module-services,
 univention-management-console-module-setup,
 univention-management-console-module-sysinfo,
 univention-management-console-module-top,
 univention-management-console-module-ucr,
 univention-management-console-module-updater,
 univention-management-console-server (= ${source:Version}),
 univention-management-console-web-server (>= 5.0.5),
 ${misc:Depends},
Recommends:
 univention-management-console-module-quota,
Conflicts:
 univention-management-console-module-mrtg,
Description: UCS Management Console - Web based computer administration tool
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the web-frontend, which
 can be installed to provide access to one or several daemons.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-server
Architecture: all
Depends:
 cy2-saml,
 pam-saml,
 python-univention-lib (>= 1.0.25-1),
 python-univention-management-console (= ${source:Version}),
 python3-univention-lib,
 python3-univention-management-console (= ${source:Version}),
 shell-univention-lib (>= 1.0.10-1),
 univention-base-files,
 univention-directory-manager-tools (>> 7.0.147),
 ${misc:Depends},
Pre-Depends:
 univention-management-console-web-server-fix,
Description: UCS Management Console - server
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the backend-daemon, which
 can be installed on any UCS-system to provide functionalities
 for univention-management-console
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python-univention-management-console
Architecture: all
Depends:
 python-cryptography,
 python-ipaddress,
 python-monotonic,
 python-notifier (>= 0.9.9-1),
 python-openssl,
 python-pam,
 python-polib,
 python-pycurl,
 python-pysaml2,
 python-sdnotify,
 python-setproctitle,
 python-six,
 python-tornado,
 python-typing,
 python-univention,
 python-univention-config-registry,
 python-univention-directory-manager (>=9.0.75-1),
 python-univention-lib (>= 1.0.80),
 univention-join,
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Description: UCS Management Console - Python 2 Modules
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the backend-daemon, which
 can be installed on any UCS-system to provide functionalities
 for univention-management-console
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: python3-univention-management-console
Architecture: all
Depends:
 python3-cryptography,
 python3-notifier (>= 0.9.9-1),
 python3-openssl,
 python3-pam,
 python3-polib,
 python3-pycurl,
 python3-pysaml2,
 python3-sdnotify,
 python3-setproctitle,
 python3-six,
 python3-tornado,
 python3-univention,
 python3-univention-config-registry,
 python3-univention-directory-manager,
 python3-univention-lib,
 univention-join,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: UCS Management Console - Python 3 Modules
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the backend-daemon, which
 can be installed on any UCS-system to provide functionalities
 for univention-management-console
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-dev
Architecture: all
Depends:
 devscripts,
 gettext,
 imagemagick,
 inkscape,
 librsvg2-bin,
 python-polib,
 python-univention-config-registry,
 python3-polib,
 python3-univention-config-registry,
 univention-join-dev,
 univention-l10n-dev (>= 7.0.1),
 ${misc:Depends},
 ${python:Depends},
Description: UCS Management Console - development files
 UCS Management Console is a web based program to manage computers. It has
 an extensible architecture, using modules to implement its
 features. This package contains development files helping to implement
 and package own UMC module
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-frontend
Architecture: all
Depends:
 univention-apache,
 univention-management-console-login,
 univention-web-js,
 univention-web-style,
 ${misc:Depends},
Breaks:
 univention-management-console-module-sysinfo (<< 7),
Description: UCS Management Console - Web based computer administration tool
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the AJAX web-frontend
 application. It is written using the Dojo Toolkit and allows to
 access the univention management console web-services through
 the web browser.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-web-server
Architecture: all
Depends:
 curl,
 libapache2-mod-wsgi-py3,
 openssl,
 python-defusedxml,
 python-pysaml2,
 python-six,
 python-univention-management-console (= ${source:Version}),
 python3-defusedxml,
 python3-pysaml2,
 python3-six,
 python3-univention-management-console (= ${source:Version}),
 shell-univention-lib,
 univention-base-files,
 univention-management-console-frontend,
 univention-management-console-server,
 univention-saml-schema,
 ${misc:Depends},
Pre-Depends:
 univention-management-console-web-server-fix,
Breaks:
 univention-saml (<< 7.0.0-4),
Description: UCS Management Console - Web server
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the web server providing
 HTTP access to the UMC server.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: univention-management-console-web-server-fix
Architecture: all
Description: UCS Management Console - Web server fix

Package: univention-management-console-login
Architecture: all
Depends:
 univention-apache,
 univention-web-js,
 univention-web-style,
 ${misc:Depends},
Description: UCS Management Console - Login page
 UCS Management Console is a web based program to manage computers.
 It has an extensible architecture, using modules to implement
 its features. This package contains the generic login page.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== umc-module-templates/debian/control ===
Source: PACKAGENAME
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 univention-management-console-dev (>= 12.0.2),
Standards-Version: 3.7.2

Package: PACKAGENAME
Architecture: all
Depends:
 univention-management-console-server (>= 11.0.4-37),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: MODULEDESC
 MODULEDESC
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,20 @@
 
 override_dh_python2:
 	dh_python2
-	$(RM) -r debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/__init__.py debian/python-${PYBUILD_NAME}/usr/share/univention-management-console/ debian/python-${PYBUILD_NAME}/usr/bin/
+	$(RM) -r debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/__init__.py \
+		debian/python-${PYBUILD_NAME}/usr/share/univention-management-console/ \
+		debian/python-${PYBUILD_NAME}/usr/bin/ \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/acl.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/auth.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/category.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/module.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/pam.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/resource.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/resources.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/saml.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/server.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/session.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/shared_memory.py
 
 override_dh_install:
 	dh_install -Xde.po

=== umc-module-templates/debian/rules ===
#!/usr/bin/make -f
#
# Univention Management Console Module
#  rules file for the debian package
#
# Copyright YEAR Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

%:
	dh $@ --with python3,umc

## univention-management-console 12.0.31-5

=== debian/changelog ===
univention-management-console (12.0.31-5) unstable; urgency=medium

  * Bug #56256: fix translation of module processes

 -- Florian Best <best@univention.de>  Tue, 04 Jul 2023 17:17:46 +0200

## univention-management-console 12.0.31-6

=== debian/changelog ===
univention-management-console (12.0.31-6) unstable; urgency=medium

  * Bug #56303: fix SAML identity cache in multiprocessing mode

 -- Florian Best <best@univention.de>  Tue, 11 Jul 2023 09:46:13 +0200

## univention-management-console 12.0.31-8

=== debian/changelog ===
univention-management-console (12.0.31-8) unstable; urgency=medium

  * Bug #56335: fix HTTP path in request.arguments

 -- Florian Best <best@univention.de>  Tue, 18 Jul 2023 16:21:43 +0200

univention-management-console (12.0.31-7) unstable; urgency=medium

  * Bug #56330: load UMC ACLs from local LDAP server

 -- Florian Best <best@univention.de>  Mon, 17 Jul 2023 17:16:22 +0200

## univention-management-console 12.0.31-11

=== debian/changelog ===
univention-management-console (12.0.31-11) unstable; urgency=medium

  * Bug #56357: Remove link to deprecated Univention Wiki

 -- Nico Gulden <gulden@univention.de>  Mon, 31 Jul 2023 10:37:38 +0200

univention-management-console (12.0.31-10) unstable; urgency=medium

  * Bug #56201: provide functionality to replace python-notifier

 -- Florian Best <best@univention.de>  Fri, 28 Jul 2023 14:19:56 +0200

univention-management-console (12.0.31-9) unstable; urgency=medium

  * Bug #56336: defer delegation of socket closing to session end
    timeout

 -- Florian Best <best@univention.de>  Fri, 21 Jul 2023 14:45:39 +0200

## univention-management-console 12.0.31-12

=== debian/changelog ===
univention-management-console (12.0.31-12) unstable; urgency=medium

  * Bug #56391: Properly shutdown cancelled HTTP requests between the UMC server
    and its module processes

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 28 Aug 2023 11:15:24 +0200

## univention-management-console 12.0.31-13

=== debian/changelog ===
univention-management-console (12.0.31-13) unstable; urgency=medium

  * Bug #55164: Allow the cookie banner to be used for certain domains

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 11 Sep 2023 16:26:26 +0200

## univention-management-console 12.0.31-15

=== debian/changelog ===
univention-management-console (12.0.31-15) unstable; urgency=medium

  * Bug #56510: respect the configured max request body size

 -- Florian Best <best@univention.de>  Tue, 19 Sep 2023 13:06:37 +0200

univention-management-console (12.0.31-14) unstable; urgency=medium

  * Bug #56575: fix detection of active requests

 -- Florian Best <best@univention.de>  Fri, 15 Sep 2023 08:42:13 +0200

## univention-management-console 12.0.31-17

=== debian/changelog ===
univention-management-console (12.0.31-17) unstable; urgency=medium

  * Bug #56703: defaults for cookie settings in `meta.json`

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Mon, 23 Oct 2023 15:11:37 +0100

univention-management-console (12.0.31-16) unstable; urgency=medium

  * Bug #56753: fix setting user preferences e.g. favorites

 -- Florian Best <best@univention.de>  Mon, 23 Oct 2023 13:22:24 +0200

## univention-management-console 12.0.31-18

=== debian/changelog ===
univention-management-console (12.0.31-18) unstable; urgency=medium

  * Bug #56828: allow more than 10 parallel requests to module processes

 -- Florian Best <best@univention.de>  Tue, 21 Nov 2023 10:31:15 +0100

## univention-management-console 12.0.32-2

=== debian/changelog ===
univention-management-console (12.0.32-2) unstable; urgency=medium

  * Bug #56717: Replace icon licenseMail.svg

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 11 Dec 2023 08:55:33 +0100

univention-management-console (12.0.32-1) UNRELEASED; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:30 +0100

## univention-management-console 12.0.32-4

=== debian/changelog ===
univention-management-console (12.0.32-4) unstable; urgency=medium

  * Bug #54880: Remove the on disk SAML identity cache file

 -- Marius Meschter <marius.meschter@univention.de>  Thu, 04 Jan 2024 08:46:31 +0100

univention-management-console (12.0.32-3) unstable; urgency=medium

  * Bug #56868: New UCR variable ldap/server/sasl/mech_list

 -- Arvid <requate@univention.de>  Thu, 28 Dec 2023 16:50:43 +0100

## univention-management-console 12.0.32-8

=== debian/changelog ===
univention-management-console (12.0.32-8) unstable; urgency=medium

  * Bug #55324: version bump

 -- Florian Best <best@univention.de>  Mon, 22 Jan 2024 11:27:27 +0100

univention-management-console (12.0.32-7) unstable; urgency=medium

  * Bug #55324: adjust to changed log level

 -- Florian Best <best@univention.de>  Fri, 19 Jan 2024 20:11:51 +0100

univention-management-console (12.0.32-6) unstable; urgency=medium

  * Bug #55324: enhance exception logging

 -- Florian Best <best@univention.de>  Thu, 18 Jan 2024 07:31:23 +0100

univention-management-console (12.0.32-5) unstable; urgency=medium

  * Bug #55324: use univention.logging

 -- Florian Best <best@univention.de>  Tue, 09 Jan 2024 17:45:06 +0100

=== debian/control ===
--- 
+++ 
@@ -136,6 +136,7 @@
  python3-tornado,
  python3-univention,
  python3-univention-config-registry,
+ python3-univention-debug (>= 12.0.3-1),
  python3-univention-directory-manager,
  python3-univention-lib,
  univention-join,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2002-2023 Univention GmbH
+# Copyright 2002-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-management-console 12.0.32-18

=== debian/changelog ===
univention-management-console (12.0.32-18) unstable; urgency=medium

  * Bug #49006: workaround for not detected default value

 -- Florian Best <best@univention.de>  Wed, 31 Jan 2024 10:21:42 +0100

univention-management-console (12.0.32-17) unstable; urgency=medium

  * Bug #49006: Don't activate SASL mech OAUTHBEARER unless essential
    configuration has been done via UCR

 -- Arvid Requate <requate@univention.de>  Tue, 30 Jan 2024 15:21:52 +0100

univention-management-console (12.0.32-16) unstable; urgency=medium

  * Bug #49006: hardening the UCR template for sasl configuration

 -- Florian Best <best@univention.de>  Mon, 29 Jan 2024 15:08:40 +0100

univention-management-console (12.0.32-15) unstable; urgency=medium

  * Bug #49006: fix order of OIDC setup in joinscript

 -- Florian Best <best@univention.de>  Sun, 28 Jan 2024 23:38:47 +0100

univention-management-console (12.0.32-14) unstable; urgency=medium

  * Bug #49006: fix Content-Security-Policy

 -- Florian Best <best@univention.de>  Fri, 26 Jan 2024 22:13:18 +0100

univention-management-console (12.0.32-13) unstable; urgency=medium

  * Bug #49006: fix setting locale for deprecated call as "_" is now a @property

 -- Florian Best <best@univention.de>  Fri, 26 Jan 2024 20:34:59 +0100

univention-management-console (12.0.32-12) unstable; urgency=medium

  * Bug #49006: only set up OIDC if 'umc/web/oidc/enabled' is true and
    keycloak is installed

 -- Florian Best <best@univention.de>  Thu, 25 Jan 2024 00:14:24 +0100

univention-management-console (12.0.32-11) unstable; urgency=medium

  * Bug #49006: disable OIDC in web by default

 -- Florian Best <best@univention.de>  Wed, 24 Jan 2024 17:32:22 +0100

univention-management-console (12.0.32-10) unstable; urgency=medium

  * Bug #49006: Implement OpenID Connect authentication for UMC

 -- Florian Best <best@univention.de>  Wed, 24 Jan 2024 16:05:41 +0100

=== debian/control ===
--- 
+++ 
@@ -59,6 +59,8 @@
 Architecture: all
 Depends:
  cy2-saml,
+ libpam-oauthbearer,
+ libsasl2-modules-oauthbearer,
  pam-saml,
  python-univention-lib (>= 1.0.25-1),
  python-univention-management-console (= ${source:Version}),
@@ -124,6 +126,7 @@
 Architecture: all
 Depends:
  python3-cryptography,
+ python3-jwt,
  python3-notifier (>= 0.9.9-1),
  python3-openssl,
  python3-pam,
@@ -137,7 +140,7 @@
  python3-univention,
  python3-univention-config-registry,
  python3-univention-debug (>= 12.0.3-1),
- python3-univention-directory-manager,
+ python3-univention-directory-manager (>= 15.0.25-3),
  python3-univention-lib,
  univention-join,
  ${misc:Depends},
@@ -222,6 +225,7 @@
  python3-univention-management-console (= ${source:Version}),
  shell-univention-lib,
  univention-base-files,
+ univention-keycloak-client (>= 1.0.10-4),
  univention-management-console-frontend,
  univention-management-console-server,
  univention-saml-schema,

=== debian/rules ===
--- 
+++ 
@@ -61,6 +61,7 @@
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/auth.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/category.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/module.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/oidc.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/pam.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/resource.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/resources.py \

## univention-management-console 12.0.32-19

=== debian/changelog ===
univention-management-console (12.0.32-19) unstable; urgency=medium

  * Bug #56917: make HTML title and favicon configurable

 -- Florian Best <best@univention.de>  Wed, 07 Feb 2024 13:24:30 +0100

## univention-management-console 12.0.32-20

=== debian/changelog ===
univention-management-console (12.0.32-20) unstable; urgency=medium

  * Bug #57060: Allow the configuration of the scheme used for SAML requests

 -- Maximilian Janßen <janssen@univention.de>  Wed, 14 Feb 2024 16:43:14 +0100

## univention-management-console 12.0.33-3

=== debian/changelog ===
univention-management-console (12.0.33-3) unstable; urgency=medium

  * Bug #57113: fix umc/http/processes=0 evaluation in UCR template

 -- Florian Best <best@univention.de>  Mon, 18 Mar 2024 12:27:25 +0100

univention-management-console (12.0.33-2) unstable; urgency=medium

  * Bug #57154:  only change ownership and permission of
    UMC log file if not stdout or stderr

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 18 Mar 2024 11:38:45 +0100

univention-management-console (12.0.33-1) unstable; urgency=medium

  * Bug #57104: fix memory leak / circular references
  * Bug #57113: fix LDAP connection leak
  * Bug #57118 UCS 5.0-7 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 08:51:49 +0100

univention-management-console (12.0.32-22) unstable; urgency=medium

  * Bug #57104: revert last commit

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 08:49:29 +0100

univention-management-console (12.0.32-21) unstable; urgency=medium

  * Bug #57104: fix memory leak / circular references

 -- Florian Best <best@univention.de>  Fri, 01 Mar 2024 14:19:26 +0100

## univention-management-console 12.0.33-4

=== debian/changelog ===
univention-management-console (12.0.33-4) unstable; urgency=medium

  * Bug #57143. update keycloak UMC client on changes

 -- Felix Botner <botner@univention.de>  Mon, 25 Mar 2024 13:51:18 +0100

## univention-management-console 12.0.33-6

=== debian/changelog ===
univention-management-console (12.0.33-6) unstable; urgency=medium

  * Bug #56906: copytruncate logfiles during logrotate

 -- Felix Botner <botner@univention.de>  Wed, 17 Apr 2024 14:40:43 +0200

univention-management-console (12.0.33-5) unstable; urgency=medium

  * Bug #57163: do not setup simplesamlphp with a 5.2 primary

 -- Felix Botner <botner@univention.de>  Mon, 25 Mar 2024 16:50:19 +0100

## univention-management-console 12.0.33-7

=== debian/changelog ===
univention-management-console (12.0.33-7) unstable; urgency=medium

  * Bug #57229: Add missing keycloak/server/sso/fqdn UCRV to univention-management-console-web-server.univention-config-registry

 -- Marius Meschter <marius.meschter@univention.de>  Fri, 19 Apr 2024 10:00:56 +0200

=== debian/control ===
--- 
+++ 
@@ -66,7 +66,7 @@
  python-univention-management-console (= ${source:Version}),
  python3-univention-lib,
  python3-univention-management-console (= ${source:Version}),
- shell-univention-lib (>= 1.0.10-1),
+ shell-univention-lib (>= 9.0.18-2),
  univention-base-files,
  univention-directory-manager-tools (>> 7.0.147),
  ${misc:Depends},

## univention-management-console 12.0.33-8

=== debian/changelog ===
univention-management-console (12.0.33-8) unstable; urgency=medium

  * Bug #57311: log reason for failed LDAP connection

 -- Felix Botner <botner@univention.de>  Wed, 22 May 2024 12:28:57 +0200

## univention-management-console 12.0.34-2

=== debian/changelog ===
univention-management-console (12.0.34-2) unstable; urgency=medium

  * Bug #57194 Ensure file descriptors are closed upon module process death.

 -- Ole Schwiegert <schwiegert@univention.de>  Wed, 12 Jun 2024 09:20:00 +0200

univention-management-console (12.0.34-1) UNRELEASED; urgency=medium

  * Bug #57350 UCS 5.0-8 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 03 Jun 2024 13:44:14 +0200

## univention-management-console 12.0.34-5

=== debian/changelog ===
univention-management-console (12.0.34-5) unstable; urgency=medium

  * Bug #57475: add oidc-id-token hint to disable logout confirmation dialog

 -- Christian Castens <castens@univention.de>  Tue, 13 Aug 2024 11:11:08 +0200

univention-management-console (12.0.34-4) unstable; urgency=medium

  * Bug #57467: Add /logout-sse endpoint which will send a message to the attached
    client indicating that the current session has ended due to logout/expiry.

 -- Marius Meschter <marius.meschter@univention.de>  Fri, 09 Aug 2024 13:13:41 +0200

univention-management-console (12.0.34-3) unstable; urgency=medium

  * Bug 57505: Ensure file mode 600 for oidc.json

 -- Felix Botner <botner@univention.de>  Thu, 08 Aug 2024 20:44:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,8 @@
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/saml.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/server.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/session.py \
-		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/shared_memory.py
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/shared_memory.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/sse.py
 
 override_dh_install:
 	dh_install -Xde.po

## univention-management-console 12.0.34-7

=== debian/changelog ===
univention-management-console (12.0.34-7) unstable; urgency=medium

  * Bug #57483: Simplify UMC OIDC setup

 -- Felix Botner <botner@univention.de>  Fri, 23 Aug 2024 10:18:23 +0200

univention-management-console (12.0.34-6) unstable; urgency=medium

  * Bug #57506: Do not show the OIDC consent screen when the RP is the UMC

 -- Mika Westphal <westphal@univention.de>  Wed, 21 Aug 2024 14:25:11 +0200

## univention-management-console 12.0.34-8

=== debian/changelog ===
univention-management-console (12.0.34-8) unstable; urgency=medium

  * Bug #57482: Add an SQL database for session storage.

 -- Marius Meschter <marius.meschter@univention.de>  Wed, 28 Aug 2024 11:51:25 +0200

=== debian/control ===
--- 
+++ 
@@ -99,6 +99,7 @@
  python-sdnotify,
  python-setproctitle,
  python-six,
+ python-sqlalchemy,
  python-tornado,
  python-typing,
  python-univention,
@@ -108,6 +109,8 @@
  univention-join,
  ${misc:Depends},
  ${python:Depends},
+Recommends:
+ python-psycopg2,
 Provides:
  ${python:Provides},
 Description: UCS Management Console - Python 2 Modules
@@ -136,6 +139,7 @@
  python3-sdnotify,
  python3-setproctitle,
  python3-six,
+ python3-sqlalchemy,
  python3-tornado,
  python3-univention,
  python3-univention-config-registry,
@@ -145,6 +149,8 @@
  univention-join,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-psycopg2,
 Provides:
  ${python3:Provides},
 Description: UCS Management Console - Python 3 Modules

## univention-management-console 12.0.35-4

=== debian/changelog ===
univention-management-console (12.0.35-4) unstable; urgency=medium

  * Bug #57563: Remove portal refresh on oicd session refresh fail

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 02 Oct 2024 13:07:46 +0200

univention-management-console (12.0.35-3) unstable; urgency=medium

  * Bug #57563: Remove portal refresh on expiry

 -- Julia Bremer <bremer@univention.de>  Tue, 01 Oct 2024 15:27:38 +0200

univention-management-console (12.0.35-2) unstable; urgency=medium

  * Bug #57622: hard dependency to psycopg2

 -- Felix Botner <botner@univention.de>  Fri, 27 Sep 2024 12:36:56 +0200

univention-management-console (12.0.35-1) unstable; urgency=medium

  * Bug #57581 UCS 5.0-9 version bump
  * Bug #57515: Delete umc session when refresh OIDC token fail with
   invalid_grant


 -- Arvid <requate@univention.de>  Thu, 12 Sep 2024 13:18:33 +0200

## univention-management-console 12.0.35-5

=== debian/changelog ===
univention-management-console (12.0.35-5) unstable; urgency=medium

  * Bug #57516: Add Content-Security-Policy frame-ancestors for oidc/frontchannel-logout

 -- Christian Castens <castens@univention.de>  Mon, 14 Oct 2024 16:22:46 +0200

## univention-management-console 12.0.35-7

=== debian/changelog ===
univention-management-console (12.0.35-7) unstable; urgency=medium

  * Issue univention/components/keycloak-app#224: OIDC Doesn't work with
    mixed case domainname

 -- Julia Bremer <bremer@univention.de>  Mon, 21 Oct 2024 09:34:56 +0200

## univention-management-console 12.0.35-8

=== debian/changelog ===
univention-management-console (12.0.35-8) unstable; urgency=medium

  * Bug #57680: Fix get_session context manager to properly close SQLAlchemy sessions after use
  * Bug #57680: Correct scoped_session usage in DbRegistry for Tornado's event loop model.

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 21 Oct 2024 14:33:22 +0200

## univention-management-console 12.0.35-9

=== debian/changelog ===
univention-management-console (12.0.35-9) unstable; urgency=medium

  * Bug #57714: Make connection pool settings (`pool_size`,
    `max_overflow`, `pool_timeout`, `pool_recycle`) configurable
    via `univention-management-console-settings` for improved
    resource management.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 30 Oct 2024 14:03:01 +0100

## univention-management-console 12.0.36-1

=== debian/changelog ===
univention-management-console (12.0.36-1) unstable; urgency=medium

  [ Juan Pedro Torres Munoz ]
  * Bug #58199: enhance log message when retrieving OIDC access token
    failed

  [ Ivan Barbecho Delgado ]
  * Bug #58002 UCS 5.0-10 version bump

 -- Juan Pedro Torres Munoz <juan.torres-munoz@univention.de>  Mon, 14 Apr 2025 10:29:23 +0200

## univention-management-console 12.0.36-2

=== debian/changelog ===
univention-management-console (12.0.36-2) unstable; urgency=medium

  * Bug #58825: Show notification for Summit 2026

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 19 Nov 2025 20:30:46 +0100

=== debian/control ===
--- 
+++ 
@@ -94,6 +94,7 @@
  python-openssl,
  python-pam,
  python-polib,
+ python-psycopg2,
  python-pycurl,
  python-pysaml2,
  python-sdnotify,
@@ -109,8 +110,6 @@
  univention-join,
  ${misc:Depends},
  ${python:Depends},
-Recommends:
- python-psycopg2,
 Provides:
  ${python:Provides},
 Description: UCS Management Console - Python 2 Modules
@@ -134,6 +133,7 @@
  python3-openssl,
  python3-pam,
  python3-polib,
+ python3-psycopg2,
  python3-pycurl,
  python3-pysaml2,
  python3-sdnotify,
@@ -149,8 +149,6 @@
  univention-join,
  ${misc:Depends},
  ${python3:Depends},
-Recommends:
- python3-psycopg2,
 Provides:
  ${python3:Provides},
 Description: UCS Management Console - Python 3 Modules

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,8 @@
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/saml.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/server.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/session.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/session_db.py \
+		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/session_dict.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/shared_memory.py \
 		debian/python-${PYBUILD_NAME}/usr/lib/python2.7/dist-packages/univention/management/console/sse.py
